use std::fs::File;
use std::io::{BufReader, BufRead, Error, Read};

fn main() -> Result<(), Error> {
    let path = "input.txt";

    let input = File::open(path)?;
    let mut buffered = BufReader::new(input);

    let mut biggest_value: i32 = 0;
    let mut counter: i32 = 0;
    let mut vec: Vec<i32> = Vec::new();
    let mut p = buffered.by_ref().lines().peekable();

    while let Some(i) = p.next() {
        let number: i32 = i?.parse().unwrap_or(0);

        counter = counter + number;

        if number == 0 {
            if counter > biggest_value { biggest_value = counter };
            vec.push(counter);

            counter = 0;
        };

    };
    if counter > biggest_value { biggest_value = counter };
    vec.push(counter);
    vec.sort();

    println!("{}", biggest_value);
    let last3 = vec.as_slice()[vec.len()-3..].to_vec();
    println!("{:?}", last3.iter().sum::<i32>());

    Ok(())
}